API Reference
Modifiers
7 endpoints· Auth: JWT or API Key
get
/api/v1/console/modifiers/groups JWT API KeyGet groups
Query parameters
| ProductId string (uuid) | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/modifiers/groups" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/modifiers/groups JWT API KeyCreate groups
Request body
application/json
{
"productId": "00000000-0000-0000-0000-000000000000",
"label": "string",
"minSelect": 0,
"maxSelect": 0,
"required": false,
"sortOrder": 0
}| productId string (uuid) | — |
| label string | — |
| minSelect integer (int32) | — |
| maxSelect integer (int32) | — |
| required boolean | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/modifiers/groups" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"productId": "00000000-0000-0000-0000-000000000000",
"label": "string",
"minSelect": 0,
"maxSelect": 0,
"required": false,
"sortOrder": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/modifiers/groups/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/modifiers/groups/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/modifiers/groups/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/modifiers/groups/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/modifiers/options JWT API KeyCreate options
Request body
application/json
{
"groupId": "00000000-0000-0000-0000-000000000000",
"label": "string",
"priceDeltaIqd": 0,
"isDefault": false,
"sortOrder": 0,
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0,
"sign": 0
}| groupId string (uuid) | — |
| label string | — |
| priceDeltaIqd integer (int64) | — |
| isDefault boolean | — |
| sortOrder integer (int32) | — |
| inventoryItemId string (uuid) | — |
| qtyPerParentUnit number (double) | — |
| sign integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/modifiers/options" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"groupId": "00000000-0000-0000-0000-000000000000",
"label": "string",
"priceDeltaIqd": 0,
"isDefault": false,
"sortOrder": 0,
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0,
"sign": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/modifiers/options/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/modifiers/options/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/modifiers/validate-selection JWT API KeyCreate validate-selection
Request body
application/json
{
"productId": "00000000-0000-0000-0000-000000000000",
"optionIds": [
"00000000-0000-0000-0000-000000000000"
]
}| productId string (uuid) | — |
| optionIds string (uuid)[] | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/modifiers/validate-selection" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"productId": "00000000-0000-0000-0000-000000000000",
"optionIds": [
"00000000-0000-0000-0000-000000000000"
]
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu